var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { memo, useEffect, useState } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { queryPromotionListByGoodsCode } from '@brushes/api';
import { _ } from '@brushes/tools';
import { getEnv } from '@brushes/api';
import GoodsDetailPromotion from './components/goodsDetailPromotion';
import GoodsDetailCoupon from './components/goodsDetailCoupon';
import { goodsDetailFake } from '../../common/mock';
import GoodsDetailCollection from './components/goodsDetailCollection';
import GoodsDetailHandleBar from './components/goodsDetailHandleBar';
import { Slider } from '../Slider';
import GoodsDetailInfo from './components/goodsDetailInfo';
import GoodsDetailEvaluate from './components/goodsDetailEvaluate';
import GoodsDetailSize from './components/goodsDetailSize';
const flag = getEnv();
const { isEmpty, get } = _;
const GoodsDetailJsx = () => {
    var _a;
    const [goods, setGoods] = useState({});
    const { View, Text, Skeleton } = useComponent();
    const [promotionArr, setPromotionArr] = useState([]);
    const [checkCollectionObj, setCheckCollectionObj] = useState({});
    const [sliderArr, setSliderArr] = useState([]);
    const [tabActive, setTabActive] = useState(1);
    const [popupVisible, setPopupVisible] = useState(false);
    useEffect(() => {
        getGoodsDetailData();
    }, []);
    const getGoodsDetailData = () => __awaiter(void 0, void 0, void 0, function* () {
        // const result = await getResourceGoodsInfoBySkuCode({
        //   skuCode: '639978727769698312'
        // });
        const goodsDetailResult = goodsDetailFake;
        const promotionListParams = {
            skuNo: goodsDetailResult.skuNo || '',
            skuCode: goodsDetailResult.rsSkuDomainList[0].skuCode || '',
            classtreeCode: goodsDetailResult.classtreeCode || '',
            brandCode: goodsDetailResult.brandCode || '',
            pntreeCode: goodsDetailResult.pntreeCode || '',
            memberCode: goodsDetailResult.memberCode || ''
        };
        console.log(22, goodsDetailResult.rsGoodsFileDomainList);
        const arr = get(goodsDetailResult, 'rsGoodsFileDomainList', []);
        if (isEmpty(arr))
            return;
        const sliderData = arr.map((item) => {
            return {
                imgUrl: item.goodsFileUrl,
                link: ''
            };
        });
        setSliderArr(sliderData);
        setGoods(goodsDetailResult);
        getPromotionData(promotionListParams);
    });
    const getPromotionData = (params) => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield queryPromotionListByGoodsCode(params);
        setPromotionArr(result);
    });
    return (_jsx(View, Object.assign({ className: 'GoodsDetailWrap', style: {
            height: flag ? '100vh' : '600px',
            paddingBottom: flag ? '100vh' : '60px'
        } }, { children: isEmpty(goods) ? (_jsxs(View, Object.assign({ className: 'skeleton' }, { children: [_jsx(Skeleton, { animated: true, style: {
                        '--width': '100%',
                        '--height': '300px'
                    } }), _jsx(Skeleton.Title, { animated: true }), _jsx(Skeleton.Paragraph, { lineCount: 10, animated: true })] }))) : (_jsxs(_Fragment, { children: [_jsx(View, Object.assign({ className: 'topSlider' }, { children: _jsx(Slider, { selectImg: sliderArr }) })), _jsxs(View, Object.assign({ className: 'goodsDetail-topInfo' }, { children: [_jsxs(View, { children: [_jsx(Text, Object.assign({ className: 'name' }, { children: goods === null || goods === void 0 ? void 0 : goods.goodsName })), _jsxs(Text, Object.assign({ className: 'price' }, { children: ["\uFFE5", (_a = goods === null || goods === void 0 ? void 0 : goods.pricesetNprice) === null || _a === void 0 ? void 0 : _a.toFixed(2)] }))] }), _jsx(View, Object.assign({ className: 'rPart' }, { children: _jsx(GoodsDetailCollection, { goods: goods, checkCollectionObj: checkCollectionObj, setCheckCollectionObj: setCheckCollectionObj }) }))] })), _jsx(GoodsDetailSize, { goods: goods, popupVisible: popupVisible, setPopupVisible: setPopupVisible }), _jsx(GoodsDetailPromotion, { promotionList: promotionArr }), _jsx(GoodsDetailCoupon, {}), _jsxs(View, Object.assign({ className: 'goodsDetailTab' }, { children: [_jsxs(View, Object.assign({ className: 'tabs' }, { children: [_jsxs(Text, Object.assign({ className: `tabsItem ${tabActive === 1 ? 'active' : ''}`, onClick: () => setTabActive(1) }, { children: ["\u5546\u54C1\u8BE6\u60C5", _jsx(Text, { className: 'line' })] })), _jsxs(Text, Object.assign({ className: `tabsItem ${tabActive === 2 ? 'active' : ''}`, onClick: () => setTabActive(2) }, { children: ["\u8BC4\u4EF7", _jsx(Text, { className: 'line' })] }))] })), _jsx(View, Object.assign({ className: 'group' }, { children: tabActive === 1 ? _jsx(GoodsDetailInfo, { goods: goods }) : _jsx(GoodsDetailEvaluate, {}) }))] })), _jsx(GoodsDetailHandleBar, {})] })) })));
};
export const GoodsDetail = memo(GoodsDetailJsx);
