import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useState } from 'react';
import { memo } from 'react';
import { SmoothSwiper } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
import { _ } from '@brushes/tools';
import { Items } from './item';
const { isUndefined, isEmpty } = _;
const SwiperJsx = ({ defaultValue = [], type, autoplay, autoplayInterval, direction, loop, marginTop, marginBottom, selectImg, imgHeight }) => {
    const [list, setList] = useState(defaultValue);
    useEffect(() => {
        const computedArr = selectImg
            .filter((item) => !isUndefined(item))
            .filter((item) => !Object.values(item).every((citem) => isUndefined(citem)));
        let arr = defaultValue;
        if (!isEmpty(computedArr)) {
            arr = computedArr;
        }
        setList(arr);
    }, [selectImg]);
    return (_jsx(SmoothSwiper, { className: getEnv() ? 'slider-block' : 'pc', style: {
            marginTop: marginTop + 'px',
            marginBottom: marginBottom + 'px'
        }, imgHeight: imgHeight, data: list, type: type, autoplay: autoplay, autoplayInterval: autoplayInterval, direction: direction, loop: loop, render: (item) => _jsx(Items, { type: type, item: item }) }));
};
export const Slider = memo(SwiperJsx);
